unit EvFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, XComDrv;

type
  TFEvents = class(TForm)
    List: TListBox;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure AddEvents(Events: TDeviceEvents);
  end;

function EventsToStr(const Events: TDeviceEvents): string;

var
  FEvents: TFEvents;

implementation

{$R *.DFM}

function EventsToStr(const Events: TDeviceEvents): string;
  procedure AddEvName(const Name: string);
  begin
    if Result=''
      then Result := Name
      else Result := Result+','+Name;
  end;
begin
  Result := '';
  if deChar in Events then AddEvName('deChar');
  if deFlag in Events then AddEvName('deFlag');
  if deOutEmpty in Events then AddEvName('deOutEmpty');
  if deCTS in Events then AddEvName('deCTS');
  if deDSR in Events then AddEvName('deDSR');
  if deRLSD in Events then AddEvName('deRLSD');
  if deBreak in Events then AddEvName('deBreak');
  if deError in Events then AddEvName('deError');
  if deRing in Events then AddEvName('deRing');
  if dePrintError in Events then AddEvName('dePrintError');
  if deIn80Full in Events then AddEvName('deIn80Full');
  if deProv1 in Events then AddEvName('deProv1');
  if deProv2 in Events then AddEvName('deProv2');
  Result := '['+Result+']';
end;


procedure TFEvents.AddEvents(Events: TDeviceEvents);
begin
  with List.Items do
  begin
    while Count>=10 do Delete(0);
    Add(TimeToStr(Time)+' '+EventsToStr(Events));
  end;
end;

end.
